unit frmPropU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TntStdCtrls, ExtCtrls, TntExtCtrls, TntDialogs;

type
  TfrmProp = class(TForm)
    TntPanel1: TTntPanel;
    btnOK: TTntButton;
    TntPanel2: TTntPanel;
    TntLabel1: TTntLabel;
    TntLabel2: TTntLabel;
    edtName: TTntEdit;
    edtFile: TTntEdit;
    TntLabel3: TTntLabel;
    edtDate: TTntEdit;
    btnNow: TTntButton;
    btnPath: TTntButton;
    dlgOpen: TTntOpenDialog;
    btnOpenDir: TTntButton;
    procedure btnNowClick(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnPathClick(Sender: TObject);
    procedure btnOpenDirClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    EditID: string;
  end;

var
  frmProp: TfrmProp;

implementation

uses frmPandaTrayU, CsvUtils2, gui_benri;

{$R *.dfm}

procedure TfrmProp.btnNowClick(Sender: TObject);
begin
  edtDate.Text := DateTimeToStr(Now);
end;

procedure TfrmProp.btnOKClick(Sender: TObject);
var
  i: Integer;
begin
  with frmPandaTray do
  begin
    i := csvList.FindStr(F_ID, EditID, 0);
    if i < 0 then
    begin
      // VKǉ
      i := csvList.Count;
    end;
    // XV
    csvList.Cells[ F_NAME,     i ] := edtName.Text;
    csvList.Cells[ F_FILENAME, i ] := edtFile.Text;
    csvList.Cells[ F_DATE,     i ] := edtDate.Text;
    if csvList.Cells[F_ID, i] = '' then
    begin
      csvList.Cells[F_ID, i] := IntToStr(
        csvList.getLastId(F_ID, 1));
    end;
    //
    ListSave;
    ListViewAll;
  end;
  Close;
end;

procedure TfrmProp.btnPathClick(Sender: TObject);
begin
  //
  if not dlgOpen.Execute then Exit;
  edtFile.Text := dlgOpen.FileName;  
end;

procedure TfrmProp.btnOpenDirClick(Sender: TObject);
var
  path: string;
begin
  path := edtFile.Text;
  if DirectoryExists(path) = False then
  begin
    path := ExtractFilePath(path);
  end;
  OpenApp(path);
end;

end.
